#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	opusfile
Version		:	0.12
Release		:	14.8.0.0%{?dist}
Summary		:	A high-level API for decoding and seeking within .opus files

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://opus-codec.org/downloads/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	make
BuildRequires	:	gcc
BuildRequires	:	doxygen
BuildRequires	:	libogg
BuildRequires	:	openssl-devel
BuildRequires	:	opus-devel

#-----------------------------------------------------------------------------
%description
libopusfile provides a high-level API for decoding and
seeking within .opus files. It includes:
  * Support for all files with at least one Opus stream
    (including multichannel files or Ogg files where Opus
    is muxed with something else).
  * Full support, including seeking, for chained files.
  * A simple stereo downmixing API (allowing chained
    files to be decoded with a single output format, even
    if the channel count changes).
  * Support for reading from a file, memory buffer, or over HTTP(S)
    (including seeking).
  * Support for both random access and streaming data sources.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS README.md COPYING
%{_libdir}/libopusfile.so.0*
%{_libdir}/libopusurl.so.0*
 

#=============================================================================
%package		devel
Summary		:	Headers for developing programs that will use %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the libraries and header files
needed for developing with opusfile library

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/opus/%{name}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/libopusurl.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/opusurl.pc
%{_defaultdocdir}/%{name}-%{version}/html/

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
